import pandas as pd
from step import step

filepath = "D:/python_project/TurbineExhaustTemperatureTheromcouple-FourWorkingCondition.xlsx"
origin_data = pd.read_excel(filepath,sheet_name='s4_ttxd')
row_len = origin_data.shape[0]
cow_len = origin_data.shape[1]
disturb_data = origin_data
algorithm_step = step()
cow_name = "ttxd_12_1"
algorithm_step.set_config('{"STEP_AMPLITUDE_BASE": 1.3}')
for i in range(0,row_len):
    disturb_data.loc[i,cow_name]=algorithm_step.eval(origin_data.loc[i,cow_name])
print(disturb_data)